import { AdaptedPointerEvent } from '../interfaces';
import PointerTracker from '../tools/PointerTracker';
export interface RotationGestureListener {
    onRotationBegin: (detector: RotationGestureDetector) => boolean;
    onRotation: (detector: RotationGestureDetector, event: AdaptedPointerEvent) => boolean;
    onRotationEnd: (detector: RotationGestureDetector, event: AdaptedPointerEvent) => void;
}
export default class RotationGestureDetector implements RotationGestureListener {
    onRotationBegin: (detector: RotationGestureDetector) => boolean;
    onRotation: (detector: RotationGestureDetector, event: AdaptedPointerEvent) => boolean;
    onRotationEnd: (detector: RotationGestureDetector, event: AdaptedPointerEvent) => void;
    private currentTime;
    private previousTime;
    private previousAngle;
    private rotation;
    private anchorX;
    private anchorY;
    private isInProgress;
    private keyPointers;
    constructor(callbacks: RotationGestureListener);
    private updateCurrent;
    private finish;
    private setKeyPointers;
    onTouchEvent(event: AdaptedPointerEvent, tracker: PointerTracker): boolean;
    private adaptEvent;
    getTimeDelta(): number;
    getAnchorX(): number;
    getAnchorY(): number;
    getRotation(): number;
}
