import { AdaptedPointerEvent } from '../interfaces';
import GestureHandler from './GestureHandler';
export default class FlingGestureHandler extends GestureHandler {
    private numberOfPointersRequired;
    private direction;
    private maxDurationMs;
    private minAcceptableDelta;
    private delayTimeout;
    private startX;
    private startY;
    private maxNumberOfPointersSimultaneously;
    init(ref: number, propsRef: React.RefObject<unknown>): void;
    updateGestureConfig({ enabled, ...props }: {
        [x: string]: any;
        enabled?: boolean | undefined;
    }): void;
    protected transformNativeEvent(event: AdaptedPointerEvent): {
        x: number;
        y: number;
        absoluteX: number;
        absoluteY: number;
    };
    private startFling;
    private tryEndFling;
    private endFling;
    protected onPointerDown(event: AdaptedPointerEvent): void;
    protected onPointerMove(event: AdaptedPointerEvent): void;
    protected onPointerUp(event: AdaptedPointerEvent): void;
    protected activate(event: AdaptedPointerEvent, force?: boolean): void;
    protected resetConfig(): void;
}
