import { AdaptedPointerEvent } from '../interfaces';
import GestureHandler from './GestureHandler';
export default class PinchGestureHandler extends GestureHandler {
    private scale;
    private velocity;
    private startingSpan;
    private spanSlop;
    private scaleDetectorListener;
    private scaleGestureDetector;
    init(ref: number, propsRef: React.RefObject<unknown>): void;
    updateGestureConfig({ enabled, ...props }: {
        [x: string]: any;
        enabled?: boolean | undefined;
    }): void;
    protected transformNativeEvent(_event: AdaptedPointerEvent): {
        focalX: number;
        focalY: number;
        velocity: number;
        scale: number;
    };
    protected onPointerDown(event: AdaptedPointerEvent): void;
    protected onPointerUp(event: AdaptedPointerEvent): void;
    protected onPointerMove(event: AdaptedPointerEvent): void;
    protected onPointerOutOfBounds(_event: AdaptedPointerEvent): void;
    protected onPointerCancel(_event: AdaptedPointerEvent): void;
    private tryBegin;
    protected activate(event: AdaptedPointerEvent, force?: boolean): void;
    protected onReset(): void;
    protected resetProgress(): void;
}
