import { AdaptedPointerEvent } from '../interfaces';
import GestureHandler from './GestureHandler';
export default class RotationGestureHandler extends GestureHandler {
    private rotation;
    private velocity;
    private cachedAnchorX;
    private cachedAnchorY;
    private rotationGestureListener;
    private rotationGestureDetector;
    init(ref: number, propsRef: React.RefObject<unknown>): void;
    updateGestureConfig({ enabled, ...props }: {
        [x: string]: any;
        enabled?: boolean | undefined;
    }): void;
    protected transformNativeEvent(_event: AdaptedPointerEvent): {
        rotation: number;
        anchorX: number;
        anchorY: number;
        velocity: number;
    };
    getAnchorX(): number;
    getAnchorY(): number;
    protected onPointerDown(event: AdaptedPointerEvent): void;
    protected onPointerMove(event: AdaptedPointerEvent): void;
    protected onPointerUp(event: AdaptedPointerEvent): void;
    protected onPointerCancel(event: AdaptedPointerEvent): void;
    protected tryBegin(event: AdaptedPointerEvent): void;
    protected activate(event: AdaptedPointerEvent, _force?: boolean): void;
    protected onReset(): void;
}
