import { State } from '../../State';
import { AdaptedPointerEvent } from '../interfaces';
import GestureHandler from '../handlers/GestureHandler';
export default class GestureHandlerOrchestrator {
    private static instance;
    private gestureHandlers;
    private awaitingHandlers;
    private handlersToCancel;
    private handlingChangeSemaphore;
    private activationIndex;
    private constructor();
    private scheduleFinishedHandlersCleanup;
    private cleanHandler;
    private cleanupFinishedHandlers;
    private hasOtherHandlerToWaitFor;
    private tryActivate;
    private cleanupAwaitingHandlers;
    onHandlerStateChange(handler: GestureHandler, newState: State, oldState: State, event: AdaptedPointerEvent): void;
    private makeActive;
    private addAwaitingHandler;
    recordHandlerIfNotPresent(handler: GestureHandler): void;
    private shouldHandlerWaitForOther;
    private canRunSimultaneously;
    private shouldHandlerBeCancelledBy;
    private checkOverlap;
    private isFinished;
    static getInstance(): GestureHandlerOrchestrator;
}
