import { AdaptedPointerEvent } from '../interfaces';
interface TrackerElement {
    lastX: number;
    lastY: number;
    timeStamp: number;
    velocityX: number;
    velocityY: number;
}
export default class PointerTracker {
    private trackedPointers;
    addToTracker(event: AdaptedPointerEvent): void;
    removeFromTracker(pointerId: number): void;
    track(event: AdaptedPointerEvent): void;
    getVelocityX(pointerId: number): number;
    getVelocityY(pointerId: number): number;
    getLastX(pointerId: number): number;
    getLastY(pointerId: number): number;
    getLastAvgX(): number;
    getLastAvgY(): number;
    getSumX(ignoredPointer?: number): number;
    getSumY(ignoredPointer?: number): number;
    getTrackedPointersCount(): number;
    getTrackedPointersID(): number[];
    getData(): Map<number, TrackerElement>;
    resetTracker(): void;
    static shareCommonPointers(stPointers: number[], ndPointers: number[]): boolean;
}
export {};
